org.jbpm.services.task.audit.impl.model

## Class AuditTaskImpl

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.AuditTaskImpl

- All Implemented Interfaces:
    Serializable, org.kie.internal.task.api.AuditTask

      @Entity
      public class AuditTaskImpl
      extends Object
      implements Serializable, org.kie.internal.task.api.AuditTask

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditTaskImpl()`
    `AuditTaskImpl(long taskId, String name, String status, Date activationTime, String actualOwner, String description, int priority, String createdBy, Date createdOn, Date dueDate, long processInstanceId, String processId, long processSessionId, String deploymentId, long parentId, long workItemId)`
    `AuditTaskImpl(long taskId, String name, String status, Date activationTime, String actualOwner, String description, int priority, String createdBy, Date createdOn, Date dueDate, long processInstanceId, String processId, long processSessionId, String deploymentId, long parentId, long workItemId, Date lastModificationDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Date` | `getActivationTime()`
    `String` | `getActualOwner()`
    `String` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `String` | `getDescription()`
    `Date` | `getDueDate()`
    `Date` | `getEnd()`
    `Long` | `getId()`
    `Date` | `getLastModificationDate()`
    `String` | `getName()`
    `long` | `getParentId()`
    `int` | `getPriority()`
    `String` | `getProcessId()`
    `long` | `getProcessInstanceId()`
    `long` | `getProcessSessionId()`
    `String` | `getStatus()`
    `long` | `getTaskId()`
    `long` | `getWorkItemId()`
    `int` | `hashCode()`
    `void` | `setActivationTime(Date activationTime)`
    `void` | `setActualOwner(String actualOwner)`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setCreatedOn(Date createdOn)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setDescription(String description)`
    `void` | `setDueDate(Date dueDate)`
    `void` | `setEnd(Date end)`
    `void` | `setId(Long id)`
    `void` | `setLastModificationDate(Date lastModificationDate)`
    `void` | `setName(String name)`
    `void` | `setParentId(long parentId)`
    `void` | `setPriority(int priority)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setProcessSessionId(long processSessionId)`
    `void` | `setStatus(String status)`
    `void` | `setTaskId(long taskId)`
    `void` | `setWorkItemId(long workItemId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditTaskImpl

          public AuditTaskImpl()

    - #### AuditTaskImpl

          public AuditTaskImpl(long taskId,
                               String name,
                               String status,
                               Date activationTime,
                               String actualOwner,
                               String description,
                               int priority,
                               String createdBy,
                               Date createdOn,
                               Date dueDate,
                               long processInstanceId,
                               String processId,
                               long processSessionId,
                               String deploymentId,
                               long parentId,
                               long workItemId)

    - #### AuditTaskImpl

          public AuditTaskImpl(long taskId,
                               String name,
                               String status,
                               Date activationTime,
                               String actualOwner,
                               String description,
                               int priority,
                               String createdBy,
                               Date createdOn,
                               Date dueDate,
                               long processInstanceId,
                               String processId,
                               long processSessionId,
                               String deploymentId,
                               long parentId,
                               long workItemId,
                               Date lastModificationDate)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### getEnd

          public Date getEnd()

    - #### setEnd

          public void setEnd(Date end)

    - #### getTaskId

          public long getTaskId()

      Specified by:
        `getTaskId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setTaskId

          public void setTaskId(long taskId)

      Specified by:
        `setTaskId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getStatus

          public String getStatus()

      Specified by:
        `getStatus` in interface `org.kie.internal.task.api.AuditTask`

    - #### setStatus

          public void setStatus(String status)

      Specified by:
        `setStatus` in interface `org.kie.internal.task.api.AuditTask`

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `org.kie.internal.task.api.AuditTask`

    - #### setActivationTime

          public void setActivationTime(Date activationTime)

      Specified by:
        `setActivationTime` in interface `org.kie.internal.task.api.AuditTask`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.internal.task.api.AuditTask`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `org.kie.internal.task.api.AuditTask`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.kie.internal.task.api.AuditTask`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `org.kie.internal.task.api.AuditTask`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `org.kie.internal.task.api.AuditTask`

    - #### setPriority

          public void setPriority(int priority)

      Specified by:
        `setPriority` in interface `org.kie.internal.task.api.AuditTask`

    - #### getCreatedBy

          public String getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `org.kie.internal.task.api.AuditTask`

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

      Specified by:
        `setCreatedBy` in interface `org.kie.internal.task.api.AuditTask`

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `org.kie.internal.task.api.AuditTask`

    - #### setCreatedOn

          public void setCreatedOn(Date createdOn)

      Specified by:
        `setCreatedOn` in interface `org.kie.internal.task.api.AuditTask`

    - #### getDueDate

          public Date getDueDate()

      Specified by:
        `getDueDate` in interface `org.kie.internal.task.api.AuditTask`

    - #### setDueDate

          public void setDueDate(Date dueDate)

      Specified by:
        `setDueDate` in interface `org.kie.internal.task.api.AuditTask`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setProcessId

          public void setProcessId(String processId)

      Specified by:
        `setProcessId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getProcessSessionId

          public long getProcessSessionId()

      Specified by:
        `getProcessSessionId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setProcessSessionId

          public void setProcessSessionId(long processSessionId)

      Specified by:
        `setProcessSessionId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getParentId

          public long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setParentId

          public void setParentId(long parentId)

      Specified by:
        `setParentId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getActualOwner

          public String getActualOwner()

      Specified by:
        `getActualOwner` in interface `org.kie.internal.task.api.AuditTask`

    - #### setActualOwner

          public void setActualOwner(String actualOwner)

      Specified by:
        `setActualOwner` in interface `org.kie.internal.task.api.AuditTask`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

      Specified by:
        `setDeploymentId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getWorkItemId

          public long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.internal.task.api.AuditTask`

    - #### setWorkItemId

          public void setWorkItemId(long workItemId)

      Specified by:
        `setWorkItemId` in interface `org.kie.internal.task.api.AuditTask`

    - #### getLastModificationDate

          public Date getLastModificationDate()

    - #### setLastModificationDate

          public void setLastModificationDate(Date lastModificationDate)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.